# Uses of Interface
org.apache.sling.installer.api.tasks.RegisteredResource

Packages that use RegisteredResource
Package
Description
org.apache.sling.installer.api.info
org.apache.sling.installer.api.tasks

## Uses of RegisteredResource in org.apache.sling.installer.api.info

Subinterfaces of RegisteredResource in org.apache.sling.installer.api.info
Modifier and Type
Interface
Description
`interface`
`Resource`
A resource provides all relevant information about a registered resource.
Methods in org.apache.sling.installer.api.info that return types with arguments of type RegisteredResource
Modifier and Type
Method
Description
`List<RegisteredResource>`
InstallationState.`getUntransformedResources()`
Return all untransformed resources

## Uses of RegisteredResource in org.apache.sling.installer.api.tasks

Subinterfaces of RegisteredResource in org.apache.sling.installer.api.tasks
Modifier and Type
Interface
Description
`interface`
`TaskResource`
A task resource is a registered resource which has been processed by a `ResourceTransformer` and is now about to be processed by an `InstallTask`.
Methods in org.apache.sling.installer.api.tasks with parameters of type RegisteredResource
Modifier and Type
Method
Description
`TransformationResult[]`
ResourceTransformer.`transform(RegisteredResource resource)`
Try to transform the registered resource.